#ifndef APTF_H
#define APTF_H

#include <QMainWindow>

namespace Ui {
class AptF;
}

class AptF : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit AptF(QWidget *parent = 0);
    ~AptF();
    
private:
    QProcess AptPrc; //!<用于启动apt-get的进程对象。
    QString AptCmd="apt-get"; //!<apt-get命令行。
    Ui::AptF *ui;

private slots:
    void DistUpgrade(); //!<升级发行版。
    void Update(); //!<更新信息。
    void AutoFillPkgName(); //!<自动填充软件包名。
    void ShowAptOutputStdErr(); //!<apt-get有标准错误流输出，则显示。
    void ShowAptOutput(); //!<apt-get有内容输出，则显示。
    void Install(); //!<安装。
    void Remove(); //!<删除。
    void Upgrade(); //!<升级。

private:
    pkgPackageManager * PkgMngr; //!<软件包管理器。
};

#endif // APTF_H
